<template>
  <div id="app">

    <div v-if="screen === 'intro'">
      <div style>Ready to play {{ name }} ?</div>
      <button v-on:click="start">Start</button>
    </div>

    <div v-if="screen === 'pallet town'">
      <Scene />
      <Abdellha row="13" column="20" />
    </div>
  </div>
</template>

<script>
import Scene from "./components/Scene.vue";
import Abdellha from "./components/Abdellha.vue";
export default {
  data() {
    return {
      screen: "intro",
      name: "PokeVue"
    };
  },
  components: {
    Scene,
    Abdellha // Car casquette ;)
  },
  methods: {
    start() {
      this.screen = "pallet town"
    }
  }
};
</script>

<style>
@font-face {
  font-family: pokemon;
  src: url(/fonts/pokemon-font.woff);
}

#app {
  font-family: pokemon;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;
  margin: 60px;
}

.display {
  position: relative;
  display: inline-block;
}
</style>


